Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface SiteArea

All Superinterfaces:
  ContentComponentContainer, Document, Editable, EditableItem, Hierarchical, HierarchicalTemplatedDocument, Item, Localized, Placeable, SiteFrameworkContainer, TemplatedDocument, WCMApiObject, WorkflowedDocument

All Known Subinterfaces:
  Site

    public interface SiteArea

extends SiteFrameworkContainer, HierarchicalTemplatedDocument, Placeable, Hierarchical

Represents a `SiteArea` object.

`SiteArea` objects are grouped by `Site` objects to form the Site Framework.

Like `Site` objects, `SiteArea` objects can specify a relationship between `AuthoringTemplate` and `PresentationTemplate` objects. However, any relationship specified in a `SiteArea` will override the relationship specified in a `Site`.

An important feature of `SiteArea` objects to note is the ability to add `Content` objects. Adding a `Content` to a `SiteArea` groups the `Content` and will determine where the `Content` lies in the Site Framework.

A `SiteArea` may be the child of a `Site` or another `SiteArea`. A `SiteArea` may also be the parent of another `SiteArea`. Passing a `null` argument to a method of this interface will result in a `NullPointerException`, unless stated otherwise.

See Also:
  `Site`

Nested Class Summary

Nested classes/interfaces inherited from interface com.ibm.workplace.wcm.api.SiteFrameworkContainer
`SiteFrameworkContainer.RenderingBehaviour`

Method Summary
`void` | `addContent(DocumentId contentId)` Deprecated. use `Workspace.createContent(authoringTemplateId, parentSiteId, siblingId, position)` instead
`void` | `insertContent(DocumentId priorChildId, DocumentId contentId)` Deprecated. use `Workspace.createContent(authoringTemplateId, parentSiteId, siblingId, position)` instead
`void` | `removeContent(DocumentId contentId)` Deprecated. use `Workspace.delete(DocumentId)` instead.

Methods inherited from interface com.ibm.workplace.wcm.api.SiteFrameworkContainer
`addSiteArea, addTemplateMapping, getAllChildren, getAllChildren, getAllDirectChildren, getAllDirectChildren, getAuthoringTemplateIds, getChildren, getChildren, getDefaultContent, getDirectChildren, getDirectChildren, getLinkedChildren, getParent, getRenderingBehaviour, getTemplateMapping, hasContent, hasDirectContent, hasLinkedContent, hasSiteArea, hasTemplateMapping, insertSiteArea, removeSiteArea, removeTemplateMapping, setDefaultContent, setRenderingBehaviour`

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponentContainer
`addCategoryIds, addComponent, componentIterator, createComponent, getCategoryIds, getCombinedCategoryIds, getComponent, getComponentByReference, getComponentNames, getKeywords, hasComponent, removeCategoryIds, removeComponent, setComponent, setKeywords`

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Methods inherited from interface com.ibm.workplace.wcm.api.TemplatedDocument
`getAuthoringTemplateID, setAuthoringTemplateID`

Methods inherited from interface com.ibm.workplace.wcm.api.Placeable
`getValidSiblingTypes`

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Method Detail

### addContent

    void addContent(DocumentId contentId)
                    throws DuplicateChildException

  Deprecated. use `Workspace.createContent(authoringTemplateId, parentSiteId, siblingId, position)` instead

  Adds the `Content` with the specified `DocumentId` as the last child of this `SiteArea`. If the specified Content already has a parent, a ContentLink will be created instead.

  Parameters:
    `contentId` - the `DocumentId` of the `Content` to add
  Throws:
    `DuplicateChildException` - if a `Content` with the given `DocumentId` already exists as a child of this `SiteArea`
    `WCMIllegalStateException` - if there's a problem retrieving the content document or creating a content link.

### insertContent

    void insertContent(DocumentId priorChildId,
                       DocumentId contentId)
                       throws DuplicateChildException

  Deprecated. use `Workspace.createContent(authoringTemplateId, parentSiteId, siblingId, position)` instead

  Inserts the `Content` with a `DocumentId` specified by contentId as a child of this `SiteArea` after the `Content` with a `DocumentId` of priorChildId. If the specified Content already has a parent, a ContentLink will be created instead.

  Parameters:
    `priorChildId` - the `DocumentId` of the child `Content` to insert after
    `contentId` - the `DocumentId` of the `Content` to add
  Throws:
    `DuplicateChildException` - if a `Content` with the given `DocumentId` already exists as a child of this `SiteArea`
    `WCMIllegalStateException` - if there's a problem retrieving the content document or creating a content link.

### removeContent

    void removeContent(DocumentId contentId)
                       throws DuplicateChildException

  Deprecated. use `Workspace.delete(DocumentId)` instead.

  Removes a child `Content` with the given `DocumentId` from the this `SiteArea`. If the `Content` is linked to other `SiteAreas`, the first `ContentLink` is removed, and the `Content` is moved to the link's `SiteArea`. Otherwise the given `Content` or `ContentLink` is removed.

  Parameters:
    `contentId` - the `DocumentId` of the `Content` to remove
  Throws:
    `WCMIllegalStateException` - if there a problem retrieving the `Content` retrieving the Content's links, removing the Content, or removing a ContentLink.
    `DuplicateChildException` - if the `Content` is moved to a `SiteArea` that already has a child with the same name.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD